import escapeHtml from "escape-html"; // import 'prismjs'

function wrap(code, lang, langPrism) {
  if (lang === "text") {
    code = escapeHtml(code);
  }

  return "<code class=\"language-" + langPrism + "\">" + code + "</code>";
}

export default (function (Prism, str, lang) {
  // const Prism = window.Prism
  if (!lang) {
    return wrap(str, "text", "text");
  }

  lang = lang.toLowerCase();
  var rawLang = lang;

  if (Prism.languages[lang]) {
    // var myEvent = new Event('DOMContentLoaded');
    // window.dispatchEvent(myEvent)
    // console.log(Prism)
    var code = Prism.highlight(str, Prism.languages[lang], lang); // console.log(code)
    // Prism.highlightAll()
    // {highlightedCode}

    return wrap(code, rawLang, lang);
  }

  return wrap(str, "text", "text");
});