"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _escapeHtml = _interopRequireDefault(require("escape-html"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

// import 'prismjs'
function wrap(code, lang, langPrism) {
  if (lang === "text") {
    code = (0, _escapeHtml["default"])(code);
  }

  return "<code class=\"language-" + langPrism + "\">" + code + "</code>";
}

var _default = function _default(Prism, str, lang) {
  // const Prism = window.Prism
  if (!lang) {
    return wrap(str, "text", "text");
  }

  lang = lang.toLowerCase();
  var rawLang = lang;

  if (Prism.languages[lang]) {
    // var myEvent = new Event('DOMContentLoaded');
    // window.dispatchEvent(myEvent)
    // console.log(Prism)
    var code = Prism.highlight(str, Prism.languages[lang], lang); // console.log(code)
    // Prism.highlightAll()
    // {highlightedCode}

    return wrap(code, rawLang, lang);
  }

  return wrap(str, "text", "text");
};

exports["default"] = _default;
module.exports = exports.default;